<header class="pc-title">
  <h1 >Foxandonestats</h1>
  <div>
    <span>{{ username }}</span>
    <span (click)="logout()" class="nav-item logout">{{ isGuest ? 'Login' : 'Logout' }}</span>
  </div>
</header>
<header>
  <nav class="left-header">
    <div class="hamburger" (click)="toggleHumburgerMenu()">
      <span class="humbruger" id="openHam" [ngStyle]="{'display': humburgerMenuState ? 'none' : 'block'}">
        &#9776;</span>
      <span id="closeHam" [ngStyle]="{'display': humburgerMenuState ? 'block' : 'none'}">
        &#x2716;</span>
    </div>
    <h1 class="mobile-menu">Menu</h1>
    

    <div class="navigation-items" [ngStyle]="{'display': !humburgerMenuState ? 'none' : 'flex'}">
      <ng-container *ngFor="let item of navigationOptions">
        <span *appRoleRoute="item.roles" class="nav-item" [routerLink]="item.value" (click)="toggleHumburgerMenu()">
          {{ item.label }}
        </span>
      </ng-container>
    </div>
    <h1 class="mobile-title">Foxandonestats</h1>

    <div class="navigation-items">
      <ng-container *ngFor="let item of navigationOptions">
        <span *appRoleRoute="item.roles" class="nav-item" [routerLink]="item.value">
          {{ item.label }}
        </span>
      </ng-container>
    </div>
  </nav>

  <div class="right-header">
    <span>{{ username }}</span>
    <span (click)="logout()" class="nav-item logout">{{ isGuest ? 'Login' : 'Logout' }}</span>
  </div>



</header>
<main class="wrapper">
  <div class="p1">
    <router-outlet></router-outlet>
  </div>
</main>


<div *ngIf="(loaderService.isLoading$ | async)" class="spinner-overlay">
  <p-progressSpinner class="spinner"></p-progressSpinner>
</div>